<?php
include 'db_connect.php';

// Beispielhaft Mitarbeiter-ID und Datum
$mitarbeiter_id = 1; // Passen Sie diese ID an
$datum = date('Y-m-d');
$status = 'Offen';

// Aufgabe in die Datenbank einfügen
$stmt = $pdo->prepare('INSERT INTO aufgaben (mitarbeiter_id, datum, status) VALUES (?, ?, ?)');
$stmt->execute([$mitarbeiter_id, $datum, $status]);

$aufgabe_id = $pdo->lastInsertId();

// Alle Lagerplätze abrufen
$stmt = $pdo->query('SELECT id FROM lagerplaetze');
$lagerplaetze = $stmt->fetchAll();

// Statusberichte für jeden Lagerplatz erstellen
foreach ($lagerplaetze as $lagerplatz) {
    $stmt = $pdo->prepare('INSERT INTO statusberichte (lagerplatz_id, aufgabe_id, statuswert) VALUES (?, ?, ?)');
    $stmt->execute([$lagerplatz['id'], $aufgabe_id, 0]); // Statuswert 0 als Standard
}

echo "Aufgabe und Statusberichte erfolgreich erstellt.";
?>
